/////////////////////////////////////////////////////////////////////////////
//
//  GEM Menu
//
//  A GEMmenu in its base class is a standard GEM menu, for which every
//  button is like a "quit" button.  This class is intended to have the
//  applications specific menu derived from it, to reimplement the
//  "Do(item)" function, which should act according to the item chosen.
//
//  This file is Copyright 1992 by Warwick W. Allison,
//  and is freely distributable providing no charge is made.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef GEMM_h
#define GEMM_h

#include "gemfeedb.h"
#include "gemf.h"
#include <gemfast.h>


class GEMmenu : public GEMform
{
public:
	virtual ClickResult Do(int item);
	void Show(bool on=TRUE);
	void Hide() { Show(FALSE); }

	friend class GEMactivity;
};

#endif
